//
//  ViewController.m
//  PopView
//
//  Created by 姜朋升 on 16/9/7.
//  Copyright © 2016年 闪牛网络. All rights reserved.
//

#import "ViewController.h"
#import "PopView.h"
# define PMwidth [UIScreen mainScreen].bounds.size.width
# define PMheight [UIScreen mainScreen].bounds.size.height
@interface ViewController ()
@property(nonatomic,strong)PopView *popView;
@property(nonatomic,strong)UIView *bigView;
@property(nonatomic,strong)UIButton *clickeBtw;
@property(nonatomic,assign)BOOL isOpen;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self createButton];
    self.isOpen = NO;
    self.bigView.hidden = YES;
    self.clickeBtw = [UIButton buttonWithType:UIButtonTypeCustom];
    self.clickeBtw.frame = CGRectMake(20, PMheight/2-60 + 140, PMwidth - 40, 60);
    [self.clickeBtw setTitle:@"点我啊" forState:UIControlStateNormal];
    self.clickeBtw.backgroundColor = [UIColor whiteColor];
    [self.clickeBtw setTitleColor:[UIColor redColor] forState:UIControlStateNormal];
    self.clickeBtw.layer.cornerRadius = 5;
    self.clickeBtw.clipsToBounds = YES;
    self.clickeBtw.layer.borderWidth = 1.0;
    self.clickeBtw.layer.borderColor = [UIColor redColor].CGColor;
    [self.clickeBtw addTarget:self action:@selector(clickeBtwDidClicked:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:self.clickeBtw];
}

-(void)createButton
{
    self.bigView = [[UIView alloc] initWithFrame:self.view.bounds];
    self.bigView.backgroundColor = [UIColor clearColor];
    self.popView = [[PopView alloc] initWithFrame:CGRectMake(20, PMheight/2-60, PMwidth - 40, 120)];
    [self.bigView addSubview:self.popView];
    [self.view addSubview:self.bigView];
    [self.popView.firstBtw addTarget:self action:@selector(firstBtwDidClicked:) forControlEvents:UIControlEventTouchUpInside];
    [self.popView.secondBtw addTarget:self action:@selector(secondBtwDidClicked:) forControlEvents:UIControlEventTouchUpInside];
    [self.popView.thirdBtw addTarget:self action:@selector(thirdBtwDidClicked:) forControlEvents:UIControlEventTouchUpInside];
}
- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event
{
    self.bigView.hidden = YES;
    self.isOpen = NO;
}

-(void)firstBtwDidClicked:(UIButton *)sender
{
    NSLog(@"%@按钮被点击了",sender.titleLabel.text);
    self.bigView.hidden = YES;
    self.isOpen = NO;
}
-(void)secondBtwDidClicked:(UIButton *)sender
{
    NSLog(@"%@按钮被点击了",sender.titleLabel.text);
    self.bigView.hidden = YES;
    self.isOpen = NO;
}
-(void)thirdBtwDidClicked:(UIButton *)sender
{
    NSLog(@"%@按钮被点击了",sender.titleLabel.text);
    self.bigView.hidden = YES;
    self.isOpen = NO;
}

-(void)clickeBtwDidClicked:(UIButton *)sender
{
    if (!_isOpen) {
        self.bigView.hidden = NO;
        self.isOpen = YES;
    }else{
        self.bigView.hidden = YES;
        self.isOpen = NO;
    }
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
